Ankündigung

Einklappen
Keine Ankündigung bisher.

Php 5.5.13 ssh2

Einklappen

Neue Werbung 2019

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • Php 5.5.13 ssh2

    Hallo Zusammen,

    nach dem Update auf PHP 5.5.13 funktioniert leider SSH2 nicht mehr. Wenn ich das Script starte, kommt immer
    php cli funktioniert nicht mehr

    Wer hat mir einen Tipp?!?

    NOCH EIN NACHTRAG

    In PHP bekomme ich sonst keine Fehlermeldung - in Windows kann ich folgendes finden

    Name der fehlerhaften Anwendung: php.exe, Version: 5.5.9.0, Zeitstempel: 0x52f2aa05
    Name des fehlerhaften Moduls: unknown, Version: 0.0.0.0, Zeitstempel: 0x00000000
    Ausnahmecode: 0xc0000005
    Fehleroffset: 0x00000000
    ID des fehlerhaften Prozesses: 0x16d0
    Startzeit der fehlerhaften Anwendung: 0x01cf8fa80bb9015c


    Die Fehlermeldung kommt nur, wenn ich im Skript folgenden Befehl aufrufe
    $ConnectID = ssh2_connect($FTPServer, 22);


  • #2
    bitte schliesse definitiv und aus, dass dieser fehler mit den andferen zusammenhängt!

    Kommentar


    • #3
      Zitat von moma Beitrag anzeigen
      bitte schliesse definitiv und aus, dass dieser fehler mit den andferen zusammenhängt!
      Bitte?

      Kommentar


      • #4
        Unser Meister moma meint damit, dass du vorher die Probleme aus den anderen Threads ausschließen sollst - womit er vollkommen recht hat.

        Ich finde ja immer noch es stinkt nach kaputter Hardware.

        Kommentar


        • #5
          IdR geht Hardware, oder sie geht nicht. Ein Hardwaredefekt wirkt sich idR sehr gravierend auf Software aus. Es ist dann wesentlich wahrscheinlicher, dass es sich um ein Treiberproblem handelt.

          Wenn möglich kann du ja mal schauen, ob sich das Problem in einer LinuxVM replizieren lässt. In dem Fall wäre es wahrscheinlich, dass dein Script das irgendwie auslöst. Sollte es unter Linux laufen, kann man ja weitersehen.
          Standards - Best Practices - AwesomePHP - Guideline für WebApps

          Kommentar


          • #6
            Also wenn ich PHP 5.4 teste, funktioniert die SSH2 Verbidnung problemlos. Es muss also ein Problem mit PHP 5.5x sein...

            Kommentar


            • #7
              Vielleicht bist du wirklich auf einen PHP-Bug gestoßen. Schwer einzuschätzen.
              Standards - Best Practices - AwesomePHP - Guideline für WebApps

              Kommentar


              • #8
                Das ist mit Sicherheit nur eine falsche Openssl Version (ssleay32.dll)...

                Kommentar

                Lädt...
                X